#!/usr/bin/env bash
# create json files with list of POIs
# python3 Validate.py -t sensors
# python3 Validate.py -t fog -i POI_sensors.txt -o manyfog.json
# python3 Validate.py -t cloud


# create topology and connect nodes
# process data
NSAMPLES=1000
NFOG=5

for NSENS in 25 50 100
do
  SAMPDATA="samples_${NSENS}_${NFOG}.dat"
  rm -f ${SAMPDATA}
  ((NREP=NSAMPLES/NFOG))
  # iterate NREP times
  for i in $(seq $NREP)
  do
    MAPNAME="temp"
    TOPONAME="temp.json"
    python3 Subsample.py -S ${NSENS} -F ${NFOG} -C 1 -s sensors.json -f manyfog.json -c cloud.json -o ${TOPONAME}
    python3 Connect.py -i ${TOPONAME} -o ${TOPONAME}
    python3 CreateMap.py -i ${TOPONAME} -o ${MAPNAME}
    for i in $(grep -P "^2\t" "${MAPNAME}.dat"  | cut -f2)
    do
      echo $(grep -cP "^1\t[0-9]+\t${i}" "${MAPNAME}.dat") >> ${SAMPDATA}
    done
  done
  rm "$MAPNAME.dat"
  # process data for this scenario
  INFILE=${SAMPDATA}
  HFILE=$(echo $i | sed 's/.dat//').hist
  # echo "${INFILE} --> ${HFILE}"
  histogram.pl --infile ${INFILE} --percsamples --step 1 --hfile ${HFILE}
done
gnuplot probability.gnuplot

